MeanListDim <-
function(var,dims,narm=T){
#
#  Description
# ~~~~~~~~~~~~~
#
#  Averages the matrix var along a set of dimensions given as argument : dims 
#
#  Author
# ~~~~~~~~
#
#  CFUers <vguemas@ic3.cat>
#
#===============================================================================
#
whichdims=sort(dims,decreasing=T)
for (jdim in 1:length(whichdims)) {
  if (whichdims[jdim]<=length(dim(var))){
    if (length(dim(var))>1){
      var=mean1dim(var,posdim=whichdims[jdim],narm=narm)
    }else{
      var=mean(var,na.rm=narm)
    }
  }
}
# 
#  Outputs
# ~~~~~~~~~
# 
outvar=var
# 
}
